import React from "react";

const getViewBox = name => {
  switch (name) {
    case "logo":
      return "0 0 24 23";
    case "order":
      return "0 0 20 22";
    case "product":
      return "0 0 20 17";
  }
};

const getPath = (name, props) => {
  switch (name) {
    case "logo":
      return (
        <path {...props} d="M0 0H24V5H0V0ZM0 9H24V14H0V9ZM12 18H0V23H12V18Z" />
      );
    case "order":
      return (
        <path
          {...props}
          d="M5.77119 13.8095H14.2286C14.7545 13.8095 15.181 13.3831 15.181 12.8571C15.181 12.3312 14.7545 11.9048 14.2286 11.9048H5.77119C5.24524 11.9048 4.81881 12.3312 4.81881 12.8571C4.81881 13.3831 5.24524 13.8095 5.77119 13.8095ZM9.21497 3.57143H10.7847C11.3107 3.57143 11.7371 3.145 11.7371 2.61905C11.7371 2.0931 11.3107 1.66667 10.7847 1.66667H9.21497C8.68902 1.66667 8.26259 2.0931 8.26259 2.61905C8.26259 3.145 8.68902 3.57143 9.21497 3.57143ZM19.0476 1.66667H17.0598C16.5338 1.66667 16.1074 2.0931 16.1074 2.61905C16.1074 3.145 16.5338 3.57143 17.0598 3.57143H18.0952V19.7619H1.90476V3.57143H2.94C3.46595 3.57143 3.89238 3.145 3.89238 2.61905C3.89238 2.0931 3.46595 1.66667 2.94 1.66667H0.952381C0.426429 1.66667 0 2.17929 0 2.70524V20.7143C0 21.2402 0.426429 21.6667 0.952381 21.6667H19.0476C19.5736 21.6667 20 21.2402 20 20.7143V2.70524C20 2.17929 19.5736 1.66667 19.0476 1.66667ZM5.77119 9.52381H14.2286C14.7545 9.52381 15.181 9.09738 15.181 8.57143C15.181 8.04548 14.7545 7.61905 14.2286 7.61905H5.77119C5.24524 7.61905 4.81881 8.04548 4.81881 8.57143C4.81881 9.09738 5.24524 9.52381 5.77119 9.52381ZM13.8095 5.42619C14.4669 5.42619 15 4.8931 15 4.23571V1.19048C15 0.533095 14.4669 0 13.8095 0C13.1521 0 12.619 0.533095 12.619 1.19048V4.23571C12.619 4.8931 13.1521 5.42619 13.8095 5.42619ZM5 4.23571V1.19048C5 0.533095 5.5331 0 6.19048 0C6.84786 0 7.38095 0.533095 7.38095 1.19048V4.23571C7.38095 4.8931 6.84786 5.42619 6.19048 5.42619C5.5331 5.42619 5 4.8931 5 4.23571Z"
        />
      );
    case "product":
      return (
        <path
          {...props}
          d="M20 9.26044C20 9.46392 19.9181 9.65892 19.7726 9.80174L13.7072 15.7587C13.5581 15.9052 13.364 15.9782 13.1696 15.9782C12.9724 15.9782 12.7751 15.9028 12.6253 15.7519C12.3285 15.453 12.3316 14.9713 12.632 14.6761L18.1461 9.26044L10.5718 1.82156C10.2714 1.52635 10.2681 1.04461 10.5651 0.745483C10.862 0.446571 11.3464 0.443528 11.647 0.738744L19.7726 8.71914C19.9181 8.86196 20 9.05696 20 9.26044ZM5.64813 3.737C5.89074 3.97831 6.03074 4.31526 6.03074 4.65874C6.03074 5.00221 5.89074 5.33917 5.64813 5.58047C5.40335 5.82395 5.06466 5.96308 4.71923 5.96308C4.37379 5.96308 4.03727 5.82395 3.79249 5.58047C3.54988 5.33917 3.40988 5.00221 3.40988 4.65874C3.40988 4.31526 3.54988 3.97831 3.79249 3.737C4.03727 3.49353 4.37379 3.3544 4.71923 3.3544C5.06466 3.3544 5.40335 3.49353 5.64813 3.737ZM9.41788 13.9952L2.14335 6.85067L1.81183 1.80026L6.97615 2.12722L14.2389 9.26044L9.41788 13.9952ZM16.3576 9.26045C16.3576 9.02806 16.2639 8.80502 16.0976 8.64176L7.97224 0.661361C7.82224 0.514188 7.62398 0.42571 7.41354 0.412449L0.930097 0.001799C0.679446 -0.0142879 0.43336 0.078103 0.255753 0.255276C0.0781447 0.432232 -0.0144635 0.676796 0.00184072 0.92636L0.420099 7.29372C0.434012 7.50611 0.525969 7.70633 0.678359 7.85589L8.80375 15.8361C8.97397 16.0032 9.19592 16.0869 9.41788 16.0869C9.64005 16.0869 9.86201 16.0032 10.0322 15.8361L16.0976 9.87914C16.2639 9.71588 16.3576 9.49306 16.3576 9.26045Z"
        />
      );
    default:
      return <path />;
  }
};

const SVGIcon = ({
  name = "",
  style = {},
  fill = "#22232B",
  viewBox = "",
  width = "100%",
  className = "",
  height = "100%"
}) => (
  <svg
    width={width}
    style={style}
    height={height}
    className={className}
    xmlns="http://www.w3.org/2000/svg"
    viewBox={viewBox || getViewBox(name)}
    xmlnsXlink="http://www.w3.org/1999/xlink"
  >
    {getPath(name, { fill })}
  </svg>
);

export default SVGIcon;
